<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCouponsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: coupons
         */
        Schema::create('coupons', function ($table) {
            $table->increments('id');
            $table->string('name', 50)->nullable();
            $table->increments('category_id')->nullable();
            $table->enum('type', [1,2])->nullable();
            $table->float('amount')->nullable();
            $table->string('desc', 255)->nullable();
            $table->integer('limit')->nullable();
            $table->integer('limit_per_user')->nullable();
            $table->date('start_date')->nullable();
            $table->increments('end_date')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('coupons');
    }
}
