<?php

namespace Litecms\Coupon\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CouponTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Coupon\Models\Coupon $coupon)
    {
        return [
            'id'                => $coupon->getRouteKey(),
            'key'               => [
                'public'    => $coupon->getPublicKey(),
                'route'     => $coupon->getRouteKey(),
            ], 
            'name'              => $coupon->name,
            'category_id'       => $coupon->category_id,
            'type'              => $coupon->type,
            'amount'            => $coupon->amount,
            'desc'              => $coupon->desc,
            'limit'             => $coupon->limit,
            'limit_per_user'    => $coupon->limit_per_user,
            'start_date'        => $coupon->start_date,
            'end_date'          => $coupon->end_date,
            'url'               => [
                'public'    => trans_url('coupon/'.$coupon->getPublicKey()),
                'user'      => guard_url('coupon/coupon/'.$coupon->getRouteKey()),
            ], 
            'status'            => trans('app.'.$coupon->status),
            'created_at'        => format_date($coupon->created_at),
            'updated_at'        => format_date($coupon->updated_at),
        ];
    }
}